import unittest
from selenium import webdriver
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities

import time

class PhantomJSTests(unittest.TestCase):
    def test_search_in_python_org(self):
        # this test will not work on PhantomJS since it has a in-compatible API :(
        # instead we need to create a simulation for that
        driver = self.driver
        print driver.get("https://github.com")
        assert "GitHub" in driver.title
        elem = driver.find_element_by_name("q")
        # send_keys does not work on phantomjs - there are some strange workarounds but in my limited time I could not get them to work.
        # I will however make a follow up on this!
        # elem.send_keys("anselmos")
        # time.sleep(5)
        # elem.send_keys(Keys.ENTER)
        # time.sleep(5)
        # assert "No results found." not in driver.page_source

    def setUp(self):
        self.driver = webdriver.Remote(
            command_executor='http://127.0.0.1:8910',
            desired_capabilities=DesiredCapabilities.PHANTOMJS
        )

if __name__ == "__main__":
    unittest.main()
